%global _description \
The ancient ConfigParser module available in the standard library 2.x \
has seen a major update in Python 3.2. This package is a backport of \
those changes so that they can be used directly in Python 2.6 - 3.5.

Name:           python-configparser
Version:        5.2.0
Release:        1
Summary:        Configuration file parser for python
License:        MIT
URL:            https://bitbucket.org/ambv/configparser
Source0:        https://pypi.python.org/packages/source/c/configparser/configparser-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-setuptools

%description %_description

%package -n python3-configparser
Summary:        Configuration file parser for python
%{?python_provide:%python_provide python3-configparser}

%description -n python3-configparser %_description

%prep
%autosetup -n configparser-%{version} -p1
rm -rf *.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%check
%{__python3} setup.py test

%files -n python3-configparser
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue Oct 18 2022 Ge Wang <wangge20@h-partners.com> - 5.2.0-1
- Upgrade to version 5.2.0

* Wed Oct 21 2020 chengzihan <chengzihan2@huawei.com> - 3.5.0b2-12
- Remove subpackage python2-configparser

* Fri Nov 15 2019 sunguoshuai <sunguoshuai@huawei.com> - 3.5.0b2-11
- Package init
